package net.minecraft.server;

import java.util.Random;

public class BlockGravel extends BlockSand
{
  public BlockGravel(int i, int j)
  {
    super(i, j);
    a(true);
  }

  public int getDropType(int i, Random random, int j) {
    j = Math.min(j, 3);
    return ((random.nextInt(10 - j * 3) == 0) ? Item.FLINT.id : this.id);
  }
  public void a(World world, int i, int j, int k, Random random)
  {
  	if( (world.getTypeId(i, j + 1, k) == 9 || world.getTypeId(i, j + 1, k) == 8) && (world.getTypeId(i, j + 2, k) == 9 || world.getTypeId(i, j + 2, k) == 8) && random.nextInt(60) == 30 )
      {
          world.setTypeId(i, j, k, mod_decor.izvest.id);

      } 
      
  }

}